import { Functional } from '../../../../../../Class/Functional';
import { Done } from '../../../../../../Class/Functional/Done';
import { System } from '../../../../../../system';
import { ST } from '../../../../../../types/interface/ST';
export declare type I = {
    src: string;
};
export declare type O = {
    stream: ST;
};
export default class AudioSource extends Functional<I, O> {
    private _audio;
    constructor(system: System);
    f({ src }: {
        src: any;
    }, done: Done<O>): void;
    d(): void;
}
